apiVersion: skaffold/v2beta29
kind: Config

metadata:
  name: ok-forms-core

build:
  artifacts:
    - image: "dev.local/rbbl/ok-forms-core"
      custom:
        buildCommand: podman build -t $IMAGE . && minikube image load $IMAGE
  local: {}

deploy:
  helm:
    releases:
      - name: ok-forms-dev
        chartPath: helm/ok-forms-core
        artifactOverrides:
          image: "dev.local/rbbl/ok-forms-core"
        setValueTemplates:
          settings:
            auth:
              issuerUrl: "{{.ISSUER_URL}}"
          global:
            postgresql:
              auth:
                password: "{{.PG_PASSWORD}}"
        imageStrategy:
          helm: {}
  kubeContext: knative